Failed to execute dbus-launch to autolaunch D-Bus session

Bug #107169 reported by Martin Pool on 2007-04-17
36
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Bazaar
Undecided
Unassigned
Bazaar GTK+ Frontends
Medium
Unassigned
bzr-dbus
High
Unassigned

Bug Description

The dbus plugin fails for me with this traceback:

As far as I know there's nothing strange about my desktop setup,

mbp@hope% bzr pull
Using saved location: http://bazaar-vcs.org/bzr/bzr.dev/
bzr: ERROR: dbus.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute dbus-launch to autolaunch D-Bus session

Traceback (most recent call last):
  File "/home/mbp/lib/python/bzrlib/commands.py", line 638, in run_bzr_catch_errors
    return run_bzr(argv)
  File "/home/mbp/lib/python/bzrlib/commands.py", line 600, in run_bzr
    ret = run(*run_argv)
  File "/home/mbp/lib/python/bzrlib/commands.py", line 296, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/home/mbp/lib/python/bzrlib/builtins.py", line 624, in run
    delta._ChangeReporter(unversioned_filter=tree_to.is_ignored))
  File "/home/mbp/lib/python/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/home/mbp/lib/python/bzrlib/workingtree.py", line 1453, in pull
    count = self.branch.pull(source, overwrite, stop_revision)
  File "/home/mbp/lib/python/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/home/mbp/lib/python/bzrlib/branch.py", line 1568, in pull
    _run_hooks=_run_hooks)
  File "/home/mbp/lib/python/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/home/mbp/lib/python/bzrlib/branch.py", line 1401, in pull
    self.update_revisions(source, stop_revision)
  File "/home/mbp/lib/python/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/home/mbp/lib/python/bzrlib/branch.py", line 1366, in update_revisions
    other_branch=other)
  File "/home/mbp/lib/python/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/home/mbp/lib/python/bzrlib/branch.py", line 1341, in generate_revision_history
    last_rev, other_branch))
  File "/home/mbp/lib/python/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/home/mbp/lib/python/bzrlib/branch.py", line 1292, in set_revision_history
    hook(self, rev_history)
  File "/home/mbp/.bazaar/plugins/dbus/hook.py", line 41, in on_set_rh
    activity.Activity().advertise_branch(branch)
  File "/home/mbp/.bazaar/plugins/dbus/activity.py", line 57, in __init__
    self.bus = _get_bus(bus)
  File "/home/mbp/.bazaar/plugins/dbus/activity.py", line 42, in _get_bus
    return dbus.SessionBus()
  File "/var/lib/python-support/python2.5/dbus/_dbus.py", line 669, in __new__
    mainloop=mainloop)
  File "/var/lib/python-support/python2.5/dbus/_dbus.py", line 293, in __new__
    mainloop=mainloop)
DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute dbus-launch to autolaunch D-Bus session

bzr 0.16.0dev0 on python 2.5.1.candidate.1 (linux2)
arguments: ['/home/mbp/bin/bzr', 'pull']

** please send this report to <email address hidden>
zsh: exit 3 bzr pull
bzr pull 5.84s user 0.22s system 14% cpu 42.946 total

Martin Pool (mbp) wrote :

Marking as 'low' because it only seems to happen when there is some other problem with dbus.

Changed in bzr-dbus:
importance: Undecided → Low
status: Unconfirmed → Confirmed
Martin Pool (mbp) wrote :

Not a problem in bzr itself.

Changed in bzr:
status: Unconfirmed → Rejected
GuilhemBichot (guilhem-bichot) wrote :

I'm seeing the same exception when doing "bzr gannotate some_file":
Traceback (most recent call last):
  File "/home/mysql_src/logiciels/bzr_latest_branch2/bzrlib/commands.py", line 846, in run_bzr_catch_errors
    return run_bzr(argv)
  File "/home/mysql_src/logiciels/bzr_latest_branch2/bzrlib/commands.py", line 802, in run_bzr
    ret = run(*run_argv)
  File "/home/mysql_src/logiciels/bzr_latest_branch2/bzrlib/commands.py", line 504, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/home/guilhem/.bazaar/plugins/gtk/__init__.py", line 298, in run
    from annotate.gannotate import GAnnotateWindow
  File "/home/guilhem/.bazaar/plugins/gtk/annotate/gannotate.py", line 31, in <module>
    from bzrlib.plugins.gtk.revisionview import RevisionView
  File "/home/guilhem/.bazaar/plugins/gtk/revisionview.py", line 30, in <module>
    from bzrlib.plugins.gtk import seahorse
  File "/home/guilhem/.bazaar/plugins/gtk/seahorse.py", line 40, in <module>
    bus = dbus.SessionBus()
  File "/usr/lib64/python2.5/site-packages/dbus/_dbus.py", line 671, in __new__
    mainloop=mainloop)
  File "/usr/lib64/python2.5/site-packages/dbus/_dbus.py", line 295, in __new__
    mainloop=mainloop)
DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute dbus-launch to autolaunch D-Bus session

As seahorse is not strictly needed, from what I see in revisionview.py:
try:
    from bzrlib.plugins.gtk import seahorse
except ImportError:
    has_seahorse = False
else:
    has_seahorse = True
wouldn't it be simpler and more robust to just let seahorse.py code fail (propagate the exception) and catch all exceptions in the above 'except', saying that any exception in seahorse is not fatal and just means we won't use seahorse?
At least when I do this, gannotate seems to work.

Russel Winder (russel) wrote :
Download full text (4.1 KiB)

I just tried to checkout the bzr-dbus branch and got something similar, using bzr 1.3.1 on Hardy. Clearly this looks like a python-dbus problem rather than a bzr problem, but I thought I would add to the canon of known issues.

|> bzr co http://bzr.debian.org/pkg-bazaar/bzr-email/unstable Bzr_Email_Unstable
bzr: ERROR: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute dbus-launch to autolaunch D-Bus session

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 834, in run_bzr_catch_errors
    return run_bzr(argv)
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 790, in run_bzr
    ret = run(*run_argv)
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 492, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/usr/lib/python2.5/site-packages/bzrlib/builtins.py", line 1012, in run
    accelerator_tree, hardlink)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 766, in create_checkout
    checkout_branch.pull(self, stop_revision=revision_id)
  File "/usr/lib/python2.5/site-packages/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 1714, in pull
    run_hooks=run_hooks)
  File "/usr/lib/python2.5/site-packages/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 1513, in pull
    self.update_revisions(source, stop_revision, overwrite=overwrite)
  File "/usr/lib/python2.5/site-packages/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 1480, in update_revisions
    other_last_revision)
  File "/usr/lib/python2.5/site-packages/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 1399, in set_last_revision_info
    self.set_revision_history(history)
  File "/usr/lib/python2.5/site-packages/bzrlib/decorators.py", line 165, in write_locked
    return unbound(self, *args, **kwargs)
  File "/usr/lib/python2.5/site-packages/bzrlib/branch.py", line 1382, in set_revision_history
    hook(self, rev_history)
  File "/usr/lib/python2.5/site-packages/bzrlib/plugins/dbus/hook.py", line 41, in on_set_rh
    activity.Activity().advertise_branch(branch)
  File "/usr/lib/python2.5/site-packages/bzrlib/plugins/dbus/activity.py", line 57, in __init__
    self.bus = _get_bus(bus)
  File "/usr/lib/python2.5/site-packages/bzrlib/plugins/dbus/activity.py", line 42, in _get_bus
    return dbus.SessionBus()
  File "/var/lib/python-support/python2.5/dbus/_dbus.py", line 217, in __new__
    mainloop=mainloop)
  File "/var/lib/python-support/python2.5/dbus/_dbus.py", line 106, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/var/lib/python-support/python2.5/dbus/bus.py", line 125, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
DBusException: org....

Read more...

Stefan Hinz (stefan-hinz) wrote :

I encountered a similar issue when trying "bzr visualise". Traceback follows. Operating system is Opensuse 10.3), running bzr 1.4 on python 2.5.1.

astraia~/bzr/mysql-6.0> bzr viz
bzr: ERROR: dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.seahorse was not provided by any .service files

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 846, in run_bzr_catch_errors
    return run_bzr(argv)
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 802, in run_bzr
    ret = run(*run_argv)
  File "/usr/lib/python2.5/site-packages/bzrlib/commands.py", line 504, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/home/stefan/.bazaar/plugins/gtk/__init__.py", line 267, in run
    pp = start_viz_window(br, revids, limit)
  File "/home/stefan/.bazaar/plugins/gtk/__init__.py", line 234, in start_viz_window
    from viz import BranchWindow
  File "/home/stefan/.bazaar/plugins/gtk/viz/__init__.py", line 14, in <module>
    from branchwin import BranchWindow
  File "/home/stefan/.bazaar/plugins/gtk/viz/branchwin.py", line 18, in <module>
    from bzrlib.plugins.gtk.tags import AddTagDialog
  File "/home/stefan/.bazaar/plugins/gtk/tags.py", line 26, in <module>
    from bzrlib.plugins.gtk.revisionview import RevisionView
  File "/home/stefan/.bazaar/plugins/gtk/revisionview.py", line 30, in <module>
    from bzrlib.plugins.gtk import seahorse
  File "/home/stefan/.bazaar/plugins/gtk/seahorse.py", line 38, in <module>
    crypto = dbus.Interface(bus.get_object(BUS_NAME, CRYPTO_PATH),
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 240, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 179, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 277, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in call_blocking
    message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.seahorse was not provided by any .service files

bzr 1.4 on python 2.5.1 (linux2)
arguments: ['/usr/bin/bzr', 'viz']
encoding: 'UTF-8', fsenc: 'UTF-8', lang: 'de_DE.UTF-8'
plugins:
  difftools /home/stefan/.bazaar/plugins/difftools [0.91.0]
  extmerge /home/stefan/.bazaar/plugins/extmerge [unknown]
  gtk /home/stefan/.bazaar/plugins/gtk [0.94.0dev0]
  launchpad /usr/lib/python2.5/site-packages/bzrlib/plugins/launchpad [unknown]
  mysql_plugins /home/stefan/.bazaar/plugins/mysql_plugins [0.2.0]
*** Bazaar has encountered an internal error.
    Please report a bug at https://bugs.launchpad.net/bzr/+filebug
    including this traceback, and a description of what you
    were doing when the error occurred.

Gleb Shchepa (gleb-mysql) wrote :

Another one, when I use ssh+X forwardigs:

$ bzr vis
bzr: ERROR: dbus.DBusException: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-GH3YHIq245: Connection refused

Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/bzrlib/commands.py", line 846, in run_bzr_catch_errors
    return run_bzr(argv)
  File "/usr/lib/python2.4/site-packages/bzrlib/commands.py", line 797, in run_bzr
    ret = run(*run_argv)
  File "/usr/lib/python2.4/site-packages/bzrlib/commands.py", line 499, in run_argv_aliases
    return self.run(**all_cmd_args)
  File ".../.bazaar/plugins/gtk/__init__.py", line 267, in run
    pp = start_viz_window(br, revids, limit)
  File ".../.bazaar/plugins/gtk/__init__.py", line 234, in start_viz_window
    from viz import BranchWindow
  File ".../.bazaar/plugins/gtk/viz/__init__.py", line 14, in ?
    from branchwin import BranchWindow
  File ".../.bazaar/plugins/gtk/viz/branchwin.py", line 18, in ?
    from bzrlib.plugins.gtk.tags import AddTagDialog
  File ".../.bazaar/plugins/gtk/tags.py", line 26, in ?
    from bzrlib.plugins.gtk.revisionview import RevisionView
  File ".../.bazaar/plugins/gtk/revisionview.py", line 30, in ?
    from bzrlib.plugins.gtk import seahorse
  File ".../.bazaar/plugins/gtk/seahorse.py", line 40, in ?
    bus = dbus.SessionBus()
  File "/usr/lib/python2.4/site-packages/dbus/_dbus.py", line 669, in __new__
    mainloop=mainloop)
  File "/usr/lib/python2.4/site-packages/dbus/_dbus.py", line 293, in __new__
    mainloop=mainloop)
DBusException: org.freedesktop.DBus.Error.NoServer: Failed to connect to socket /tmp/dbus-GH3YHIq245: Connection refused

bzr 1.5 on python 2.4.4 (linux2)
arguments: ['/usr/bin/bzr', 'vis']
encoding: 'ANSI_X3.4-1968', fsenc: 'ANSI_X3.4-1968', lang: None
plugins:
  difftools .../.bazaar/plugins/difftools [0.91.0]
  extmerge .../.bazaar/plugins/extmerge [unknown]
  gtk .../.bazaar/plugins/gtk [0.95.0dev1]
  launchpad /usr/lib/python2.4/site-packages/bzrlib/plugins/launchpad [unknown]
...
*** Bazaar has encountered an internal error.
    Please report a bug at https://bugs.launchpad.net/bzr/+filebug
    including this traceback, and a description of what you
    were doing when the error occurred.

On Mon, 2008-05-19 at 13:54 +0000, Stefan Hinz wrote:
> I encountered a similar issue when trying "bzr visualise". Traceback
> follows. Operating system is Opensuse 10.3), running bzr 1.4 on python
> 2.5.1.

This is a bzr-gtk issue, not bzr-dbus

-Rob
--
GPG key available at: <http://www.robertcollins.net/keys.txt>.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

  affects bzr
  status invalid

  affects bzr-gtk
  status triaged
  importance high

This is a duplicate of some other bug but I'm not aware of marking
duplicates using the email interface.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iQCVAwUBSDILegy0JeEGD2blAQJfIgQAimIY4grcpGayyypV4Ku+vARacB5paDFq
z2EMjKYs6OxRq6pU4Q3sLTcsy0o976CF6NJL5m1d0QZuawBXAUWYxBmV31hpsfYv
ujqgI3ZcDPCfUZiJQcerNhFk9w0Wv0pb/DA00sbNby6wqejrYOLObYH41GKEdhdO
f4kat/jZ2CE=
=MvOI
-----END PGP SIGNATURE-----

Jelmer Vernooij (jelmer) wrote :

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

  affects bzr
  status invalid

  affects bzr-gtk
  status triaged
  importance medium
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iQCVAwUBSDIL5gy0JeEGD2blAQKmMwP+LaGDepcF1zmNJ+wTuZgg9fa06DC3++0z
VFWNp5c952VyA8SCox+xj4oVqS6iyJQLLaiSEfwhVJnmHCExj/coFH8Ptvu8SQZF
cQogfuc82Lei2m4z9FEa7WxNla9CSrKNOu5wG/qu4+wJHVE8sWCqdqI3tTXHOp2N
CLEi12YBQxM=
=8KKb
-----END PGP SIGNATURE-----

Changed in bzr-gtk:
importance: High → Medium
Martin Pool (mbp) wrote :

---------- Forwarded message ----------
From: Daniel Schierbeck <email address hidden>
Date: Wed, May 21, 2008 at 12:22 AM
Subject: [MERGE] Fix the Seahorse import bug
To: Bazaar GTK list <email address hidden>

This fix by Sabin Iacob seems to fix the issue; if anyone who's had the
problem could confirm this, that would be great.

GuilhemBichot (guilhem-bichot) wrote :

Hello. The above patch does not help in my case, I still get, in "bzr viz":
bzr: ERROR: dbus.DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute dbus-launch to autolaunch D-Bus session

Traceback (most recent call last):
  File "/home/mysql_src/logiciels/bzr_latest_branch2/bzrlib/commands.py", line 846, in run_bzr_catch_errors
    return run_bzr(argv)
  File "/home/mysql_src/logiciels/bzr_latest_branch2/bzrlib/commands.py", line 802, in run_bzr
    ret = run(*run_argv)
  File "/home/mysql_src/logiciels/bzr_latest_branch2/bzrlib/commands.py", line 504, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/home/guilhem/.bazaar/plugins/gtk/__init__.py", line 267, in run
    pp = start_viz_window(br, revids, limit)
  File "/home/guilhem/.bazaar/plugins/gtk/__init__.py", line 234, in start_viz_window
    from viz import BranchWindow
  File "/home/guilhem/.bazaar/plugins/gtk/viz/__init__.py", line 14, in <module>
    from branchwin import BranchWindow
  File "/home/guilhem/.bazaar/plugins/gtk/viz/branchwin.py", line 18, in <module>
    from bzrlib.plugins.gtk.tags import AddTagDialog
  File "/home/guilhem/.bazaar/plugins/gtk/tags.py", line 27, in <module>
    from bzrlib.plugins.gtk.revisionview import RevisionView
  File "/home/guilhem/.bazaar/plugins/gtk/revisionview.py", line 30, in <module>
    from bzrlib.plugins.gtk import seahorse
  File "/home/guilhem/.bazaar/plugins/gtk/seahorse.py", line 31, in <module>
    bus = dbus.SessionBus()
  File "/usr/lib64/python2.5/site-packages/dbus/_dbus.py", line 671, in __new__
    mainloop=mainloop)
  File "/usr/lib64/python2.5/site-packages/dbus/_dbus.py", line 295, in __new__
    mainloop=mainloop)
DBusException: org.freedesktop.DBus.Error.Spawn.ExecFailed: Failed to execute dbus-launch to autolaunch D-Bus session

bzr 1.5dev on python 2.5 (linux2)
arguments: ['/home/guilhem/bin/bzr', 'viz', '--limit=2']
encoding: 'UTF-8', fsenc: 'UTF-8', lang: 'en_US.UTF-8'
plugins:
  difftools /home/guilhem/.bazaar/plugins/difftools [0.91.0]
  extmerge /home/guilhem/.bazaar/plugins/extmerge [unknown]
  gtk /home/guilhem/.bazaar/plugins/gtk [0.95.0dev1]
  launchpad /home/mysql_src/logiciels/bzr_latest_branch2/bzrlib/plugins/launchpad [unknown]

See, line 31 in seahorse.py is:
bus = dbus.SessionBus()
which is just before the try...except added by the patch.

Elliot Murphy (statik) wrote :

I have proposed this patch on the bzr-gtk mailing list:
=== modified file 'revisionview.py'
--- revisionview.py 2008-05-26 21:10:10 +0000
+++ revisionview.py 2008-06-04 15:17:57 +0000
@@ -28,7 +28,7 @@

 try:
     from bzrlib.plugins.gtk import seahorse
-except ImportError:
+except:
     has_seahorse = False
 else:
     has_seahorse = True

Elliot Murphy (statik) wrote :

The previous one was rejected as suppressing too many errors, I have proposed this patch instead:

=== modified file 'seahorse.py'
--- seahorse.py 2008-05-23 08:23:59 +0000
+++ seahorse.py 2008-06-04 20:51:32 +0000
@@ -28,7 +28,13 @@
 KEY_TYPE_OPENPGP = 'openpgp'
 KEY_TYPE_SSH = 'ssh'

-bus = dbus.SessionBus()
+try:
+ bus = dbus.SessionBus()
+except dbus.exceptions.DBusException, e:
+ if e.get_dbus_name() == "org.freedesktop.DBus.Error.Spawn.ExecFailed":
+ raise ImportError
+ else
+ raise

 try:
     crypto = dbus.Interface(bus.get_object(BUS_NAME, CRYPTO_PATH),

Sanja Byelkin (sanja-mysql) wrote :

The above patch do not help me, the problem just moved:

$ bzr visualise
bzr: ERROR: exceptions.IndentationError: expected an indented block (seahorse.py, line 40)

Traceback (most recent call last):
  File "/usr/lib64/python2.5/site-packages/bzrlib/commands.py", line 846, in run_bzr_catch_errors
    return run_bzr(argv)
  File "/usr/lib64/python2.5/site-packages/bzrlib/commands.py", line 797, in run_bzr
    ret = run(*run_argv)
  File "/usr/lib64/python2.5/site-packages/bzrlib/commands.py", line 499, in run_argv_aliases
    return self.run(**all_cmd_args)
  File "/usr/lib64/python2.5/site-packages/bzrlib/plugins/gtk/__init__.py", line 267, in run
    pp = start_viz_window(br, revids, limit)
  File "/usr/lib64/python2.5/site-packages/bzrlib/plugins/gtk/__init__.py", line 234, in start_viz_window
    from viz import BranchWindow
  File "/usr/lib64/python2.5/site-packages/bzrlib/plugins/gtk/viz/__init__.py", line 14, in <module>
    from branchwin import BranchWindow
  File "/usr/lib64/python2.5/site-packages/bzrlib/plugins/gtk/viz/branchwin.py", line 18, in <module>
    from bzrlib.plugins.gtk.tags import AddTagDialog
  File "/usr/lib64/python2.5/site-packages/bzrlib/plugins/gtk/tags.py", line 26, in <module>
    from bzrlib.plugins.gtk.revisionview import RevisionView
  File "/usr/lib64/python2.5/site-packages/bzrlib/plugins/gtk/revisionview.py", line 30, in <module>
    from bzrlib.plugins.gtk import seahorse
  File "/usr/lib64/python2.5/site-packages/bzrlib/plugins/gtk/seahorse.py", line 40
     raise ImportError
         ^
 IndentationError: expected an indented block

bzr 1.5 on python 2.5.2 (linux2)
arguments: ['/usr/bin/bzr', 'visualise']
encoding: 'UTF-8', fsenc: 'UTF-8', lang: 'ru_UA.UTF-8'
plugins:
  bzrtools /usr/lib64/python2.5/site-packages/bzrlib/plugins/bzrtools [1.5.0]
  dbus /usr/lib64/python2.5/site-packages/bzrlib/plugins/dbus [unknown]
  difftools /home/bell/.bazaar/plugins/difftools [0.91.0]
  extmerge /home/bell/.bazaar/plugins/extmerge [unknown]
  gtk /usr/lib64/python2.5/site-packages/bzrlib/plugins/gtk [0.94.0rc1]
  launchpad /usr/lib64/python2.5/site-packages/bzrlib/plugins/launchpad [unknown]
  mysql_plugins /home/bell/.bazaar/plugins/mysql_plugins [0.3.11]
*** Bazaar has encountered an internal error.
    Please report a bug at https://bugs.launchpad.net/bzr/+filebug
    including this traceback, and a description of what you
    were doing when the error occurred.

Jelmer Vernooij (jelmer) wrote :

Lots of people are hitting this and it is somewhat hard for new users to recover from this. Upgrading the importance of this bug.

Changed in bzr-dbus:
importance: Low → High
John Dong (jdong) wrote :

IMO when bzr-dbus fails it shouldn't bring down the entire bzr operation. I use etckeeper, and in recovery mode when dbus isn't running I can't even commit without triggering this error.

Jelmer Vernooij (jelmer) wrote :

Yeah, same here. I've removed bzr-dbus from my systems because of this error. Perhaps it should be upgraded to critical?

On Sun, 2008-08-31 at 22:13 +0000, Jelmer Vernooij wrote:
> Yeah, same here. I've removed bzr-dbus from my systems because of this
> error. Perhaps it should be upgraded to critical?

Or fixed :P

-Rob
--
GPG key available at: <http://www.robertcollins.net/keys.txt>.

Jelmer Vernooij (jelmer) wrote :

I'll leave this bug open for bzr-gtk, the bzr-dbus part is also reported as bug #279486. It's a similar issue in bzr-dbus and bzr-gtk, but different bugs in bzr-gtk and bzr-dbus.

Changed in bzr-dbus:
status: Confirmed → Invalid
Jelmer Vernooij (jelmer) on 2016-11-27
Changed in bzr-gtk:
status: Triaged → Invalid
status: Invalid → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers